# ApiClusterTemplateConfig Data Model

Config Details: The config can either have a value or ref or variable.

Properties
name | data type | description
--- | --- | ---
name | string | Config name
value | string | Config value
ref | string | Name of the reference. If referring to a service then it will be replaced with actual service name at import time. If referring to a role then it will be replaced with the host name containing that role at import time.
variable | string | Referring a variable. The variable value will be provided by the user at import time. Variable name for this config. At import time the value of this variable will be provided by the ` * ApiClusterTemplateInstantiator.Variables
autoConfig | boolean | This indicates that the value was automatically configured.

Example

    {
      "name" : "...",
      "value" : "...",
      "ref" : "...",
      "variable" : "...",
      "autoConfig" : true
    }